import request from '@/utils/httpRequest'
import {CENTRECAREFUL_PATH as prefix} from "../../AppPath";

export default class ReimbursementTypeService {
  list (param) {
    return request({
      url: prefix + '/zsReimbursement/type/list',
      method: 'get',
      params: param
    })
  }
  bxList (param) {
    return request({
      url: prefix + '/zsReimbursement/type/bxList',
      method: 'get',
      params: param
    })
  }
  cgList (param) {
    return request({
      url: prefix + '/zsReimbursement/type/cgList',
      method: 'get',
      params: param
    })
  }
  save (param) {
    return request({
      url: prefix + '/zsReimbursement/type/save',
      method: 'post',
      data: param
    })
  }
  findById (id) {
    return request({
      url: prefix + '/zsReimbursement/type/findById',
      method: 'get',
      params: {id: id}
    })
  }
  remove (id) {
    return request({
      url: prefix + '/zsReimbursement/type/deleteById',
      method: 'get',
      params: {id: id}
    })
  }
}
